﻿using Edge.Extensions;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

namespace Edge.Tests
{
    
    
    /// <summary>
    ///This is a test class for NumberExtensionsTest and is intended
    ///to contain all NumberExtensionsTest Unit Tests
    ///</summary>
    [TestClass()]
    public class NumberExtensionsTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion



        /// <summary>
        ///A test for ToCurrencyString
        ///</summary>
        [TestMethod()]
        public void ToCurrencyStringTest()
        {
            Decimal value = 12345.67m;
            string expected = "12,345.67";
            string actual;
            actual = value.ToCurrencyString();
            Assert.AreEqual(expected, actual);
        }
    }
}
