﻿using Edge.Utilities;
using Microsoft.VisualStudio.TestTools.UnitTesting;
namespace Edge.Tests
{  
    
    /// <summary>
    ///This is a test class for ArrayUtilitiesTest and is intended
    ///to contain all ArrayUtilitiesTest Unit Tests
    ///</summary>
    [TestClass()]
    public class ArrayUtilitiesTest
    {
        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for Combine
        ///</summary>
        [TestMethod()]
        public void CombineTest()
        {
            int[] array1 = new int[] { 1, 2, 3 };
            int[] array2 = new int[] { 4, 5, 6 };
            bool expected = true;
            int[] combined = ArrayUtilities.Combine<int>(array1, array2);
            bool actual = false;
            if (combined[0] == 1 &&
                combined[1] == 2 &&
                combined[2] == 3 &&
                combined[3] == 4 &&
                combined[4] == 5 &&
                combined[5] == 6)
            {
                actual = true;
            }
            Assert.AreEqual(expected, actual);
        }
    }
}
