﻿using Edge.Extensions;
using Microsoft.VisualStudio.TestTools.UnitTesting;
namespace Edge.Tests
{
    
    
    /// <summary>
    ///This is a test class for SecurityExtensionsTest and is intended
    ///to contain all SecurityExtensionsTest Unit Tests
    ///</summary>
    [TestClass()]
    public class SecurityExtensionsTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion

        
        /// <summary>
        ///A test for MD5Verify
        ///</summary>
        [TestMethod()]
        public void MD5VerifyTest()
        {
            string s = "Hello, World!";
            string hash = "65a8e27d8879283831b664bd8b7f0ad4";
            bool expected = true;
            bool actual;
            actual = s.MD5Verify(hash);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for ToMD5
        ///</summary>
        [TestMethod()]
        public void ToMD5Test()
        {
            string s = "Hello, World!";
            string expected = "65a8e27d8879283831b664bd8b7f0ad4";
            string actual;
            actual = s.ToMD5();
            Assert.AreEqual(expected, actual);
        }
    }
}
